Subject: [rtcweb] VP8 litigation in Germany?

From: Stephan Wenger <[email-masked]>
Date: Sun, 10 Mar 2013 02:31:40 +0000

Hi,
An additional data point.
Florian Mueller writes in his patent blog (http://www.fosspatents.com/2013/03/patent-clouds-remain-over-vp8-google.html) that he has attended a court hearing in Mannheim, Germany, where, according to his blog, "Counsel for Nokia indeed based the infringement allegation in no small part on what the specifications of the Google-controlled VP8 standard say, which is an unmistakable sign that Nokia considers EP1206881 to be inevitably infringed by all implementations of VP8."
Now, I understand that Mr. Mueller is not particularly highly regarded by a whole bunch of people in the open source community.  I myself find a number of other statements in this blog post, however carefully worded, somewhat questionable.  OTOH, I consider it very unlikely that he made up all those reported facts.
That my former colleagues in Nokia decide to sue over this patent (if they have done so) does, of course, not mean that the VP8 implementation of HTC infringes, let alone all VP8 implementations.  Quite likely we will never know either way—most patent lawsuits are settled out of court.
One other data point: Mr. Mueller is correct in that Nokia is not a member of the H.264 pool.  Nor are they members in any other video coding related patent pool that I'm aware of, despite IMO having one of the strongest video coding research teams in the industry (I was part of that myself, a while ago).
Regards,
Stephan

---

From: Ted Hardie <[email-masked]>
Date: Sun, 10 Mar 2013 14:19:04 -0400

On Sat, Mar 9, 2013 at 9:31 PM, Stephan Wenger <[email-masked]> wrote:
> One other data point: Mr. Mueller is correct in that Nokia is not a member
> of the H.264 pool.  Nor are they members in any other video coding related
> patent pool that I'm aware of, despite IMO having one of the strongest video
> coding research teams in the industry (I was part of that myself, a while
> ago).

Hi Stephan,

So, this seems to me to imply that any Nokia IPR on either H.264 or
VP8 is not part of any established patent pool and thus is not
publicly in the "market" of which you have previously spoken.  If that
is the case, it would seem to be an equally unknown factor for an
implementer of either.   To put this slightly different, even if Mr.
Mueller were correct, the additional context seems to result in this
being null data for our particular working group decision.

regards,

Ted Hardie

---

From: Stephan Wenger <[email-masked]>
Date: Sun, 10 Mar 2013 18:32:41 +0000

Hi Ted,

>being null data for our particular working group decision.

No, I don't think that this is correct, for at least two reasons.

First, if we were adopting a tit for tat approach, I could argue that this
lawsuit counterbalances the H.264 related lawsuit(s) (there is only one
critical left AFAIR, which is Motorola/Microsoft) that has created so much
noise here in the past.  You can get sued over H.264 (interlace
frame/field adaptivity for example), but you can equally get sued over VP8
(motion vector coding technology for example, if I remember correctly).

Second, remember that H.264 is a RAND standard and Nokia is undoubtedly
bound to their RAND commitment to the ITU.  Insofar, I very much doubt
that they could get away with charging non-RAND rates or doing other
unpleasant things.  For VP8, as not being a standard under RAND, there is
no such a restricting framework in place, AFAIK.

The second aspect may make little difference to those whose business model
discourages them from paying royalties (which I do not consider a
sustainable business model in this field, however, others have other
opinions including a few folks who know their stuff in this field).
However, the first aspect does.

---

From: Ted Hardie <[email-masked]>
Date: Sun, 10 Mar 2013 14:50:31 -0400

> (motion vector coding technology for example, if I remember correctly).

I think I must be missing the disagreement here--I read your recent
note to say that the existence of patents (in this case, Nokia's)
outside the pool was possible for both H.264 and VP8.  Your response
seems to be "this is true for others as well", which doesn't seem to
change the conclusion.

> no such a restricting framework in place, AFAIK.

A potential non-RAND response seems to be entirely a supposition; you
could equally suppose that they would make their licenses royalty
free, should they have any applicable to VP8, based on the PR value of
contributing to the existence of a more vibrant ecosystem.

regards,

Ted

---

From: Stephan Wenger <[email-masked]>
Date: Sun, 10 Mar 2013 19:19:25 +0000

Hi Ted,

>seems to be "this is true for others as well", which doesn't seem to

The only thing I tried to say above is that, in the past, folks called it
a plus for VP8 that no one has litigated against a VP8 user, whereas there
were known lawsuits against H.264 users.  That argument is gone.  Both
specs (or, better, patent claims allegedly related to those specs) are
subject to lawsuits.  No change the WG needs to think about?  Come on...

>contributing to the existence of a more vibrant ecosystem.

Risk assessment necessarily deals with probabilities.  How high is the
chance that an aggressive IP enforcer would ask for non RAND terms
(billions in royalty, injunction, whatnot), RAND terms, or give in for
good, when litigation has been initiated and the IP enforcer is not bound
to RAND terms?  Rhetoric question.

You are, of course, absolutely right that potentially a lot of
rightholders are willing to hold still or settle for less money than
possible, so not to damage the ecosystem, relationship with google, and so
on.  The fact that google got a sublicenseable license--almost unheard of
in the pool business and certainly not MPEG-LA's common business
model--speaks for the second and potentially the third point.  However,
remember the context of this email: did the lawsuit in Germany change
anything?  Well, to me, it clearly indicates that "PR value of
contributing to the existence of a more vibrant ecosystem" didn't work all
that well in this case...  and, while I have not read the prayers of the
Nokia complaint, I can easily imagine what they request, and it's not
recognition for contributing to a vibrant ecosystem :-)

Stephan

---

From: Ron <[email-masked]>
Date: Mon, 11 Mar 2013 11:07:08 +1030

> to RAND terms?  Rhetoric question.

Yeah, that would be like Google saying "Ok guys we have a really big
chequebook here, what's it going to cost for you to quit with the FUD?"

And MPEG-LA saying "oh, ah ... hmm.  Well ... we don't want your money
(tell them we've already got one), so we'll just excuse ourselves here
from any further involvement and let you folks talk among yourselves" ...

"Oh, and you're welcome to say in the press release that we agree none
of this indicates any of the patents actually read on your technology."

Never going to happen in our lifetimes, right?  What are the chances?
(Genuine question for anyone who fancies themselves a bookmaker)

  Ron

  - who still suspects his previous theory of the actual 'arrangement'
    details is far closer to the truth indicated by the known facts.

---

From: <[email-masked]>
Date: Mon, 11 Mar 2013 15:06:41 +0000

Hi all,

I am not personally aware of any more details of this case than what is included below. However, I have been in contact with the Nokia Legal department about it. It is true that Nokia believes we have IPR related to VP8. Although the disclosure obligations are not entirely clear in this case as seen e.g. in [1], Nokia is preparing to do a disclosure about it to the IETF, "to ensure that IETF working groups and participants have as much information about any IPR constraints on a technical proposal as possible", as stated in RFC 3979. That's all the information I have right now, but I will keep this list updated as soon as something new comes up.

[1] http://www.ietf.org/mail-archive/web/rtcweb/current/msg06578.html

Markus

From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Stephan Wenger
Sent: 10 March, 2013 04:32
To: [email-masked]
Subject: [rtcweb] VP8 litigation in Germany?

Hi,
That my former colleagues in Nokia decide to sue over this patent (if they have done so) does, of course, not mean that the VP8 implementation of HTC infringes, let alone all VP8 implementations.  Quite likely we will never know either way-most patent lawsuits are settled out of court.

---

From: <[email-masked]>
Date: Mon, 11 Mar 2013 15:13:13 +0000

Hi,

>bound to their RAND commitment to the ITU.  Insofar, I very much doubt that
>they could get away with charging non-RAND rates or doing other unpleasant
>things.  For VP8, as not being a standard under RAND, there is no such a
>restricting framework in place, AFAIK.

Stephan is correct. All Nokia's H.264 related IPR is bound to RAND commitments. There is no unclarity about that. 

VP8 is a different case. 

Markus 

>-----Original Message-----
>Sent: 10 March, 2013 20:33
>To: Ted Hardie
>Cc: [email-masked]
>Subject: Re: [rtcweb] VP8 litigation in Germany?
>
>Hi Ted,
>
>>> One other data point: Mr. Mueller is correct in that Nokia is not a
>>>member  of the H.264 pool.  Nor are they members in any other video
>>>coding related  patent pool that I'm aware of, despite IMO having one
>>>of the strongest video  coding research teams in the industry (I was
>>>part of that myself, a while  ago).
>>
>>Hi Stephan,
>>
>>VP8 is not part of any established patent pool and thus is not publicly
>>in the "market" of which you have previously spoken.  If that is the
>>case, it would seem to be an equally unknown factor for an
>First, if we were adopting a tit for tat approach, I could argue that this lawsuit
>counterbalances the H.264 related lawsuit(s) (there is only one critical left
>AFAIR, which is Motorola/Microsoft) that has created so much noise here in
>the past.  You can get sued over H.264 (interlace frame/field adaptivity for
>example), but you can equally get sued over VP8 (motion vector coding
>technology for example, if I remember correctly).
>
>bound to their RAND commitment to the ITU.  Insofar, I very much doubt that
>they could get away with charging non-RAND rates or doing other unpleasant
>things.  For VP8, as not being a standard under RAND, there is no such a
>restricting framework in place, AFAIK.
>
>discourages them from paying royalties (which I do not consider a sustainable
>business model in this field, however, others have other opinions including a
>few folks who know their stuff in this field).
>_______________________________________________
>rtcweb mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/rtcweb

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 11 Mar 2013 19:58:58 +0100

Thanks for the comment - I've been in contact with our legal people too, 
and they say that German process rules say that we can't comment on the 
ongoing legal case (even beyond our usual "we don't comment on ongoing 
legal processes").

We'll comment once the case is resolved, I guess.

On 03/11/2013 04:06 PM, [email-masked] wrote:
> [1]http://www.ietf.org/mail-archive/web/rtcweb/current/msg06578.html
>
> Markus
>
> *From:[email-masked] [mailto:[email-masked]] *On 
> Behalf Of *ext Stephan Wenger
> *Sent:* 10 March, 2013 04:32
> *To:* [email-masked]
> *Subject:* [rtcweb] VP8 litigation in Germany?
>
> Hi,
>
> Florian Mueller writes in his patent blog 
> (http://www.fosspatents.com/2013/03/patent-clouds-remain-over-vp8-google.html) 
> that he has attended a court hearing in Mannheim, Germany, where, 
> according to his blog, "Counsel for Nokia indeed based the 
> infringement allegation in no small part on what the specifications of 
> the Google-controlled VP8 standard say, which is an unmistakable sign 
> that Nokia considers EP1206881 to be inevitably infringed by all 
> implementations of VP8."
>
> Now, I understand that Mr. Mueller is not particularly highly regarded 
> by a whole bunch of people in the open source community.  I myself 
> find a number of other statements in this blog post, however carefully 
> worded, somewhat questionable.  OTOH, I consider it very unlikely that 
> he made up all those reported facts.
>
> That my former colleagues in Nokia decide to sue over this patent (if 
> they have done so) does, of course, not mean that the VP8 
> implementation of HTC infringes, let alone all VP8 implementations. 
>  Quite likely we will never know either way---most patent lawsuits are 
> settled out of court.
>

---

From: Ted Hardie <[email-masked]>
Date: Mon, 11 Mar 2013 15:06:25 -0400

Hi Markus,

Just confirm my understanding of this:

On Mon, Mar 11, 2013 at 11:06 AM,  <[email-masked]> wrote:
>Nokia is preparing to do a disclosure about it to the
> IETF, “to ensure that IETF working groups and participants have as much
> information about any IPR constraints on a technical proposal as possible”,
> as stated in RFC 3979. That’s all the information I have right now, but I
> will keep this list updated as soon as something new comes up.

this disclosure will cover both H.264 and VP8, as they are the two
technical proposals?

regards,

Ted Hardie

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 11 Mar 2013 22:23:57 +0000

I would not expect it to.

Normal declarations cover whether the normative requirements of an RFC or internet draft are covered by a claimed IPR.

As I believe there are no IETF documents that specify H.264 or VP8 directly, then you will not get a direct declaration.

What does exist as an IETF document is the payload format for H.264 (RFC3984 and RFC 6184) and you will see Nokia (among others) have made declarations against this document or the predecessors. However this document only contains normative requirements for making a codec stream into an RTP payload.

Unless IETF actually defines the codec, you will need to go to the IPR database of the SDO that defines the codec to get a fuller story. VP8?

regards

Keith

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Ted Hardie
> Sent: 11 March 2013 19:06
> To: [email-masked]
> Cc: [email-masked]
> > IETF, "to ensure that IETF working groups and participants have as much
> > information about any IPR constraints on a technical proposal as
> possible",
> > as stated in RFC 3979. That's all the information I have right now, but
> I

---

From: Ted Hardie <[email-masked]>
Date: Mon, 11 Mar 2013 18:47:26 -0400

> As I believe there are no IETF documents that specify H.264 or VP8 directly, then you will not get a direct declaration.

This contradicts what I understood Markus to be saying, which is that
Nokia would supply one.  If I have misunderstood this text:

Nokia is preparing to do a disclosure about it to the  IETF "to ensure
that IETF working groups and participants have as much information
about any IPR constraints on a technical proposal as  possible".

I hope he will let me know.

thanks,

Ted

---

From: <[email-masked]>
Date: Tue, 12 Mar 2013 01:27:43 +0000

Hi,

Ted Hardie wrote:
>
>On Mon, Mar 11, 2013 at 6:23 PM, DRAGE, Keith (Keith) <keith.drage@alcatel-
>lucent.com> wrote:
>>
>> As I believe there are no IETF documents that specify H.264 or VP8 directly,
>then you will not get a direct declaration.
>>
>
>This contradicts what I understood Markus to be saying, which is that Nokia
>would supply one.  If I have misunderstood this text:
>
>Nokia is preparing to do a disclosure about it to the  IETF "to ensure that IETF
>working groups and participants have as much information about any IPR
>constraints on a technical proposal as  possible".
>

Yes, Nokia is preparing a disclosure related to VP8. 

What comes to H.264, the Nokia IPR related to that has been disclosed to those SDOs where that codec has been developed, except for the RTP payload format that is in the IETF. I assume all that is publicly available to interested parties. If I recall correctly, some pointers were floating around prior to IETF 85. I'm sure others on this list know that side better than me.

Markus

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 12 Mar 2013 04:20:33 +0100

> What comes to H.264, the Nokia IPR related to that has been disclosed to those SDOs where that codec has been developed, except for the RTP payload format that is in the IETF. I assume all that is…

I know of 3 sources of IPR information related to H.264:

- The ISO database of disclosures ( 
http://www.iso.org/iso/standards_development/patents)
- The MPEG-LA list of IPR available for licensing via their license pool
- The list that Cliff Reader did related to H.264 Baseline work in MPEG

The first 2 are public on the Web; I don't know the status of the third 
one (MPEG doesn't make its input documents public by default).

I think it's fair to ask the proponents of H.264 to present the IPR 
situation for their candidate codec; saying that it is "well known" is 
not the same as having an input contribution to the IETF stating what 
the situation is.

---

From: Stephan Wenger <[email-masked]>
Date: Tue, 12 Mar 2013 03:52:26 +0000

Hi,

From: Harald Alvestrand <[email-masked]<mailto:[email-masked]>>
Date: Monday, 11 March, 2013 23:20
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [rtcweb] H.264 IPR status (Re: VP8 litigation in Germany?)

On 03/12/2013 02:27 AM, [email-masked]<mailto:[email-masked]> wrote:

[…]

- The ISO database of disclosures ( http://www.iso.org/iso/standards_development/patents)
- The MPEG-LA list of IPR available for licensing via their license pool
- The list that Cliff Reader did related to H.264 Baseline work in MPEG

The first 2 are public on the Web; I don't know the status of the third one (MPEG doesn't make its input documents public by default).

I know of a fourth one: the ITU patents database.  H.264 is an ITU recommendation, so ITU patent declaration can be found in the ITU database.  Of course, there is a large overlap with the ISO/IEC database.  The IT database, though, is more easily accessible.  See here, and search for H.264 on the right sidebar.  http://www.itu.int/ipr/IPRSearch.aspx?iprtype=PS  Much prettier than the ISO xls spreadsheet with all its reportedly existing typos.  In that xls one, look for ISO/IEC 14496-10.

I think it's fair to ask the proponents of H.264 to present the IPR situation for their candidate codec; saying that it is "well known" is not the same as having an input contribution to the IETF stating what the situation is.

Describing H.264's IPR situation has been done before—more than once--but is easy to repeat.  Parties contributing to H.264 in JVT, and its parent bodies MPEG in VCEG, have to license any H.264 essential patent in their portfolio under reasonable and non-discriminatory terms, on a world-wide bases, often subject to reciprocity.  That includes at least all the patents and/or portfolios listed in the patent databases of ISO/IEC and ITU.  (There may be additional patents or portfolios where the rightholders contributed to JVT, MPEG, or VCEG, but did not make a declaration.  Whether or not those patents are enforceable is questionable.  Undoubtly, RAND terms apply to those as well.)  Further, a large percentage, but not all, of these patents are licensable through a pooling arrangement from MPEG-LA  (see http://www.mpegla.com/main/programs/AVC/Pages/Intro.aspx), at a cost of no more than $0.20 per codec, plus (in some cases) applicable content fees.  Known parties whose patent claims are not licensable through MPEG-LA include Nokia and many semiconductor companies.  Outside of the pooling arrangement, what exactly RAND royalties are is subject to negotiations between licensor and licensee.  There is currently ongoing litigation in a number of legislation which attempts, among other things, to further clarify the meaning of RAND in terms of maximum royalties.   Finally, there may be parties that own essential IPR and have not contributed to the development of H.264, nor are ISO/IEC or ITU members, and those patent claims may not be subject to RAND terms.

Hope I didn't forget anything.

Anyone wants me to characterize the VP8 sitation similarly?  :-)

Stephan

---

From: Ted Hardie <[email-masked]>
Date: Tue, 12 Mar 2013 08:47:58 -0400

On Mon, Mar 11, 2013 at 9:27 PM,  <[email-masked]> wrote:

> What comes to H.264, the Nokia IPR related to that has been disclosed to
> those SDOs where that codec has been developed, except for the RTP payload
> format that is in the IETF. I assume all that is publicly available to interested
> parties. If I recall correctly, some pointers were floating around prior to IETF 85. > I'm sure others on this list know that side better than me.
>
Hi Markus,

Thanks for the clarification.  I could not find the pointers that you
mention; if you could provide a URL to the patent list and license
terms, that would be very useful.  I understand you have already said
that this would be some flavor of RAND, but the working group comments
seem to indicate folks want to see the actual license text if that is
available.

thanks again,

Ted Hardie

---

From: David Singer <[email-masked]>
Date: Tue, 12 Mar 2013 15:05:03 -0700

> I think it's fair to ask the proponents of H.264 to present the IPR situation for their candidate codec; saying that it is "well known" is not the same as having an input contribution to the IETF s…

I think we're past the formal contribution deadline, alas.  However, you are basically right, with perhaps one or two additions, and a caveat.

The caveat is that the AVC/H.264 specification contains (a) AVC itself and (b) scalable video coding (SVC) and (c) multi-view coding (MVC).  So the complete list includes IPR on SVC and MVC as well.  You might 

The union of these gives, I think, a very thorough view (there is, of course, a lot of overlap):

1. The ITU database can be searched;  the formal name at the ITU is H.264 and the search page is <http://www.itu.int/ipr/IPRSearch.aspx?iprtype=PS>.
2. The ISO database is a download and manual search for 14496-10 (the format spec. number), the page is <http://www.iso.org/iso/standards_development/patents>.
3. MPEG is formally part of the joint ISO/IEC technical committee;  it may be the IEC database at <http://www.iec.ch/members_experts/tools/patents/patent_policy.htm> helps (again, 14496-10).
4. The MPEG-LA list of licensors and licensed patents in their patent pool is also public at their web site. <http://www.mpegla.com/main/programs/AVC/Pages/Intro.aspx>

I hope this helps;  in most cases you will see company names, contact information, and the declared IPR;  in the MPEG-LA case, a summary of the license is also available, and of course the license can be requested.

I look forward to the same clarity, completeness, and commitment not only to 'F' (free, already stated) but also 'RAND' (reasonable and non-discrimatory terms) for VP8.  I understand it should be coming soon, and I appreciate all the work you and others are doing to bring it to the table.

David Singer
Multimedia and Software Standards, Apple Inc.